Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236455 - SELinux Postfix Mailman/Python avc denied messages
Summary: SELinux Postfix Mailman/Python avc denied messages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-14 14:47 UTC by Anthony Messina
Modified: 2008-06-17 01:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 01:18:05 UTC


Attachments (Terms of Use)

Description Anthony Messina 2007-04-14 14:47:15 UTC
Description of problem:
It appears that when a message is received by Postfix then "piped" to
Mailman/Python, denials are created and a bit of access is denied with respect
to the Mailman error log.

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-54.fc6

How reproducible:
Each time Postfix receives and passes a message to Mailman/Python

Steps to Reproduce:
1. Set up Postfix and Mailman with default settings and create a mailing list
2. Send a message to the list
3.
  
Actual results:
avc: denied { getattr } for comm="python" dev=sda2 egid=41 euid=99
exe="/usr/bin/python" exit=0 fsgid=41 fsuid=99 gid=41 items=0 name="error"
path="/var/log/mailman/error" pid=10694
scontext=system_u:system_r:postfix_local_t:s0 sgid=41
subj=system_u:system_r:postfix_local_t:s0 suid=99 tclass=file
tcontext=system_u:object_r:mailman_log_t:s0 tty=(none) uid=99

avc: denied { read, append } for comm="python" dev=sda2 egid=41 euid=99
exe="/usr/bin/python" exit=3 fsgid=41 fsuid=99 gid=41 items=0 name="error"
pid=10694 scontext=system_u:system_r:postfix_local_t:s0 sgid=41
subj=system_u:system_r:postfix_local_t:s0 suid=99 tclass=file
tcontext=system_u:object_r:mailman_log_t:s0 tty=(none) uid=99

Expected results:
No errors/denials should appear.

Additional info:
A note that the email message passed to Mailman would not have actually entered
any error info into the Mailman error log, but for some reason, I guess python
still requests access to it.

I am running in permissive mode.

Comment 1 Daniel Walsh 2007-04-16 15:05:37 UTC
Fixed in selinux-policy-2.4.6-58

Comment 2 Anthony Messina 2007-10-11 23:03:05 UTC
For some reason, this issue seems to have popped back up in 
selinux-policy-targeted-2.6.4-46.fc7


avc: denied { getattr } for comm="python" dev=sda2 egid=41 euid=99 
exe="/usr/bin/python" exit=0 fsgid=41 fsuid=99 gid=41 items=0 name="error" 
path="/var/log/mailman/error" pid=13846 
scontext=system_u:system_r:postfix_local_t:s0 sgid=41 
subj=system_u:system_r:postfix_local_t:s0 suid=99 tclass=file 
tcontext=system_u:object_r:mailman_log_t:s0 tty=(none) uid=99

avc: denied { read, append } for comm="python" dev=sda2 egid=41 euid=99 
exe="/usr/bin/python" exit=3 fsgid=41 fsuid=99 gid=41 items=0 name="error" 
pid=13846 scontext=system_u:system_r:postfix_local_t:s0 sgid=41 
subj=system_u:system_r:postfix_local_t:s0 suid=99 tclass=file 
tcontext=system_u:object_r:mailman_log_t:s0 tty=(none) uid=99 

Comment 3 Daniel Walsh 2007-10-12 13:15:56 UTC
selinux-policy-2.4.6-49

Comment 4 Anthony Messina 2007-12-06 08:33:41 UTC
It works in selinux-policy-targeted-2.6.4-57.fc7

Comment 5 Anthony Messina 2007-12-22 16:20:45 UTC
(In reply to comment #2)
> For some reason, this issue seems to have popped back up in 
> selinux-policy-targeted-2.6.4-46.fc7
> 
> 
> avc: denied { getattr } for comm="python" dev=sda2 egid=41 euid=99 
> exe="/usr/bin/python" exit=0 fsgid=41 fsuid=99 gid=41 items=0 name="error" 
> path="/var/log/mailman/error" pid=13846 
> scontext=system_u:system_r:postfix_local_t:s0 sgid=41 
> subj=system_u:system_r:postfix_local_t:s0 suid=99 tclass=file 
> tcontext=system_u:object_r:mailman_log_t:s0 tty=(none) uid=99
> 
> avc: denied { read, append } for comm="python" dev=sda2 egid=41 euid=99 
> exe="/usr/bin/python" exit=3 fsgid=41 fsuid=99 gid=41 items=0 name="error" 
> pid=13846 scontext=system_u:system_r:postfix_local_t:s0 sgid=41 
> subj=system_u:system_r:postfix_local_t:s0 suid=99 tclass=file 
> tcontext=system_u:object_r:mailman_log_t:s0 tty=(none) uid=99 

With selinux-policy-2.6.4-63.fc7, I'm getting this error again:

avc: denied { read } for comm="python" dev=sda2 egid=41 euid=99 
exe="/usr/bin/python" exit=3 fsgid=41 fsuid=99 gid=41 items=0 name="error" 
pid=28965 scontext=system_u:system_r:postfix_local_t:s0 sgid=41 
subj=system_u:system_r:postfix_local_t:s0 suid=99 tclass=file 
tcontext=system_u:object_r:mailman_log_t:s0 tty=(none) uid=99 

Comment 6 Daniel Walsh 2007-12-31 19:19:19 UTC
Fixed in selinux-policy-2.6.4-67.fc7

Comment 7 Bug Zapper 2008-05-14 12:12:50 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2008-06-17 01:18:04 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.